<?php
/**
 * Autoloader for php-symfony3-validator and its' dependencies
 * (created by php-symfony3-3.4.49-1.fc32.remi).
 */
require_once dirname(dirname(__DIR__)).'/autoload-common.php';

// Self PSR-4
\Fedora\Autoloader\Autoload::addPsr4('Symfony\\Component\\Validator\\', __DIR__, true);

// Required dependencies
\Fedora\Autoloader\Dependencies::required([
    FEDORA_SYMFONY3_DIR.'/Component/Translation/autoload.php'
]);

// Optional dependencies
\Fedora\Autoloader\Dependencies::optional([
    FEDORA_SYMFONY3_PHP_DIR.'/Doctrine/Common/Annotations/autoload.php',
    FEDORA_SYMFONY3_PHP_DIR.'/Doctrine/Common/Cache/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/HttpFoundation/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/Intl/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/Yaml/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/Config/autoload.php',
    FEDORA_SYMFONY3_PHP_DIR.'/Egulias/EmailValidator2/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/PropertyAccess/autoload.php',
    FEDORA_SYMFONY3_DIR.'/Component/ExpressionLanguage/autoload.php'
]);
